statistics.h File Reference

Common routines regarding statistics. More...

Go to the source code of this file.

## Data Structures

struct | osmo_counter

## Functions

static void | osmo_counter_inc (struct osmo_counter *ctr)
| Increment counter.
static unsigned long | osmo_counter_get (struct osmo_counter *ctr)
| Get current value of counter.
static void | osmo_counter_reset (struct osmo_counter *ctr)
| Reset current value of counter to 0.
struct osmo_counter * | osmo_counter_alloc (const char *name)
| Allocate a new counter.
void | osmo_counter_free (struct osmo_counter *ctr)
| Free the specified counter. More...
int | osmo_counters_for_each (int(*handle_counter)(struct osmo_counter *, void *), void *data)
| Iterate over all counters. More...
struct osmo_counter * | osmo_counter_get_by_name (const char *name)
| Resolve counter by human-readable name. More...
int | osmo_counter_difference (struct osmo_counter *ctr)
| Return the counter difference since the last call to this function.

## Detailed Description

Common routines regarding statistics.

## Function Documentation

void osmo_counter_free | ( | struct osmo_counter * | ctr | ) |

Free the specified counter.

Parameters

  [in] | ctr | Counter

References osmo_counter::list.

Referenced by osmo_counter_reset().

struct osmo_counter* osmo_counter_get_by_name | ( | const char * | name | ) |

Resolve counter by human-readable name.

Parameters

  [in] | name | human-readable name of counter

Returns
  pointer to counter (osmo_counter) or NULL otherwise

References osmo_counter::list, and osmo_counter::name.

Referenced by osmo_counter_reset().

int osmo_counters_for_each | ( | int(*)(struct osmo_counter *, void *) | handle_counter,
|  | void * | data
| ) |  |

Iterate over all counters.

Parameters

  [in] | handle_counter | Call-back function, aborts if rc < 0
  [in] | data | Private dtata handed through to handle_counter

References osmo_counter::list.

Referenced by osmo_counter_reset().